package com.ruoyi.projectChbZyf.service;

import java.math.BigDecimal;
import java.util.List;
import com.ruoyi.projectChbZyf.domain.KzksProjectChbZyf;

/**
 * 专用费Service接口
 * 
 * @author yanxun
 * @date 2023-08-10
 */
public interface IKzksProjectChbZyfService 
{
    /**
     * 查询专用费
     * 
     * @param id 专用费主键
     * @return 专用费
     */
    public KzksProjectChbZyf selectKzksProjectChbZyfById(String id);

    /**
     * 查询专用费列表
     * 
     * @param kzksProjectChbZyf 专用费
     * @return 专用费集合
     */
    public List<KzksProjectChbZyf> selectKzksProjectChbZyfList(KzksProjectChbZyf kzksProjectChbZyf);

    /**
     * 新增专用费
     * 
     * @param kzksProjectChbZyf 专用费
     * @return 结果
     */
    public int insertKzksProjectChbZyf(KzksProjectChbZyf kzksProjectChbZyf);

    /**
     * 修改专用费
     * 
     * @param kzksProjectChbZyf 专用费
     * @return 结果
     */
    public int updateKzksProjectChbZyf(KzksProjectChbZyf kzksProjectChbZyf);

    /**
     * 批量删除专用费
     * 
     * @param ids 需要删除的专用费主键集合
     * @return 结果
     */
    public int deleteKzksProjectChbZyfByIds(String[] ids);

    /**
     * 删除专用费信息
     * 
     * @param id 专用费主键
     * @return 结果
     */
    public int deleteKzksProjectChbZyfById(String id);

    /**
     * 根据科研任务号获取专用费总和
     *
     * @param taskno 任务号
     * @return 结果
     */
    BigDecimal selectZyfByTaskno(String taskno);
}
